## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel.impl
Class SybaseasasqlmodelPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel.impl.SybaseasasqlmodelPackageImpl

All Implemented Interfaces:
  SybaseasasqlmodelPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class SybaseasasqlmodelPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements SybaseasasqlmodelPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel.SybaseasasqlmodelPackage
`SybaseasasqlmodelPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel.SybaseasasqlmodelPackage

`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, SYBASE_ASA_DATABASE, SYBASE_ASA_DATABASE__ASE_COMPATIBLE, SYBASE_ASA_DATABASE__AUTHORIZATION_IDS, SYBASE_ASA_DATABASE__BLANK_PADDING_ON, SYBASE_ASA_DATABASE__CASE_SENSITIVE, SYBASE_ASA_DATABASE__CATALOGS, SYBASE_ASA_DATABASE__CHECK_SUM_ON, SYBASE_ASA_DATABASE__COLLATION, SYBASE_ASA_DATABASE__COMMENTS, SYBASE_ASA_DATABASE__DATA_TYPES, SYBASE_ASA_DATABASE__DATABASE_FILE_NAME, SYBASE_ASA_DATABASE__DB_SPACES, SYBASE_ASA_DATABASE__DEPENDENCIES, SYBASE_ASA_DATABASE__DESCRIPTION, SYBASE_ASA_DATABASE__EANNOTATIONS, SYBASE_ASA_DATABASE__ENCRYPTION_INFO, SYBASE_ASA_DATABASE__EVENTS, SYBASE_ASA_DATABASE__EXTENSIONS, SYBASE_ASA_DATABASE__JAVA_SUPPORT, SYBASE_ASA_DATABASE__JCONNECT_ON, SYBASE_ASA_DATABASE__LABEL, SYBASE_ASA_DATABASE__LOG_FILE_NAME, SYBASE_ASA_DATABASE__MIRROR_FILE_NAME, SYBASE_ASA_DATABASE__NAME, SYBASE_ASA_DATABASE__PAGE_SIZE, SYBASE_ASA_DATABASE__PASSWORD_CASE_SENSITIVE, SYBASE_ASA_DATABASE__PRIVILEGES, SYBASE_ASA_DATABASE__SCHEMAS, SYBASE_ASA_DATABASE__VENDOR, SYBASE_ASA_DATABASE__VERSION, SYBASE_ASA_DATABASE__WEB_SERVICES, SYBASE_ASA_DATABASE_FEATURE_COUNT, SYBASE_ASA_FOREIGN_KEY, SYBASE_ASA_FOREIGN_KEY__BASE_TABLE, SYBASE_ASA_FOREIGN_KEY__CHECK_ON_COMMIT, SYBASE_ASA_FOREIGN_KEY__CLUSTERED, SYBASE_ASA_FOREIGN_KEY__COMMENTS, SYBASE_ASA_FOREIGN_KEY__DEFERRABLE, SYBASE_ASA_FOREIGN_KEY__DEPENDENCIES, SYBASE_ASA_FOREIGN_KEY__DESCRIPTION, SYBASE_ASA_FOREIGN_KEY__EANNOTATIONS, SYBASE_ASA_FOREIGN_KEY__ENFORCED, SYBASE_ASA_FOREIGN_KEY__EXTENSIONS, SYBASE_ASA_FOREIGN_KEY__INITIALLY_DEFERRED, SYBASE_ASA_FOREIGN_KEY__LABEL, SYBASE_ASA_FOREIGN_KEY__MATCH, SYBASE_ASA_FOREIGN_KEY__MEMBERS, SYBASE_ASA_FOREIGN_KEY__NAME, SYBASE_ASA_FOREIGN_KEY__NULLABLE, SYBASE_ASA_FOREIGN_KEY__ON_DELETE, SYBASE_ASA_FOREIGN_KEY__ON_UPDATE, SYBASE_ASA_FOREIGN_KEY__PRIVILEGES, SYBASE_ASA_FOREIGN_KEY__REFERENCED_MEMBERS, SYBASE_ASA_FOREIGN_KEY__REFERENCED_TABLE, SYBASE_ASA_FOREIGN_KEY__ROLE_NAME, SYBASE_ASA_FOREIGN_KEY__UNIQUE_CONSTRAINT, SYBASE_ASA_FOREIGN_KEY__UNIQUE_INDEX, SYBASE_ASA_FOREIGN_KEY_FEATURE_COUNT, SYBASE_ASA_INDEX, SYBASE_ASA_INDEX__CLUSTERED, SYBASE_ASA_INDEX__COMMENTS, SYBASE_ASA_INDEX__DB_SPACE, SYBASE_ASA_INDEX__DEPENDENCIES, SYBASE_ASA_INDEX__DESCRIPTION, SYBASE_ASA_INDEX__EANNOTATIONS, SYBASE_ASA_INDEX__EXTENSIONS, SYBASE_ASA_INDEX__FILL_FACTOR, SYBASE_ASA_INDEX__FOREIGN_KEY, SYBASE_ASA_INDEX__INCLUDED_MEMBERS, SYBASE_ASA_INDEX__LABEL, SYBASE_ASA_INDEX__MEMBERS, SYBASE_ASA_INDEX__NAME, SYBASE_ASA_INDEX__PRIVILEGES, SYBASE_ASA_INDEX__SCHEMA, SYBASE_ASA_INDEX__SYSTEM_GENERATED, SYBASE_ASA_INDEX__TABLE, SYBASE_ASA_INDEX__UNIQUE, SYBASE_ASA_INDEX__VIRTUAL, SYBASE_ASA_INDEX_FEATURE_COUNT, SYBASE_ASA_TABLE, SYBASE_ASA_TABLE__COLUMNS, SYBASE_ASA_TABLE__COMMENTS, SYBASE_ASA_TABLE__CONSTRAINTS, SYBASE_ASA_TABLE__DB_SPACE, SYBASE_ASA_TABLE__DEPENDENCIES, SYBASE_ASA_TABLE__DESCRIPTION, SYBASE_ASA_TABLE__EANNOTATIONS, SYBASE_ASA_TABLE__EXTENSIONS, SYBASE_ASA_TABLE__INDEX, SYBASE_ASA_TABLE__INSERTABLE, SYBASE_ASA_TABLE__LABEL, SYBASE_ASA_TABLE__NAME, SYBASE_ASA_TABLE__PCTFREE, SYBASE_ASA_TABLE__PRIVILEGES, SYBASE_ASA_TABLE__REFERENCING_FOREIGN_KEYS, SYBASE_ASA_TABLE__SCHEMA, SYBASE_ASA_TABLE__SELF_REF_COLUMN_GENERATION, SYBASE_ASA_TABLE__SUBTABLES, SYBASE_ASA_TABLE__SUPERTABLE, SYBASE_ASA_TABLE__TRIGGERS, SYBASE_ASA_TABLE__UDT, SYBASE_ASA_TABLE__UPDATABLE, SYBASE_ASA_TABLE_FEATURE_COUNT, SYBASE_ASA_TEMP_TABLE, SYBASE_ASA_TEMP_TABLE__COLUMNS, SYBASE_ASA_TEMP_TABLE__COMMENTS, SYBASE_ASA_TEMP_TABLE__CONSTRAINTS, SYBASE_ASA_TEMP_TABLE__DELETE_ON_COMMIT, SYBASE_ASA_TEMP_TABLE__DEPENDENCIES, SYBASE_ASA_TEMP_TABLE__DESCRIPTION, SYBASE_ASA_TEMP_TABLE__EANNOTATIONS, SYBASE_ASA_TEMP_TABLE__EXTENSIONS, SYBASE_ASA_TEMP_TABLE__INDEX, SYBASE_ASA_TEMP_TABLE__INSERTABLE, SYBASE_ASA_TEMP_TABLE__LABEL, SYBASE_ASA_TEMP_TABLE__LOCAL, SYBASE_ASA_TEMP_TABLE__NAME, SYBASE_ASA_TEMP_TABLE__PCTFREE, SYBASE_ASA_TEMP_TABLE__PRIVILEGES, SYBASE_ASA_TEMP_TABLE__REFERENCING_FOREIGN_KEYS, SYBASE_ASA_TEMP_TABLE__SCHEMA, SYBASE_ASA_TEMP_TABLE__SELF_REF_COLUMN_GENERATION, SYBASE_ASA_TEMP_TABLE__SUBTABLES, SYBASE_ASA_TEMP_TABLE__SUPERTABLE, SYBASE_ASA_TEMP_TABLE__TRANSACTION_OPTION, SYBASE_ASA_TEMP_TABLE__TRIGGERS, SYBASE_ASA_TEMP_TABLE__UDT, SYBASE_ASA_TEMP_TABLE__UPDATABLE, SYBASE_ASA_TEMP_TABLE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASADatabase_ASECompatible()`
`org.eclipse.emf.ecore.EClass` `getSybaseASADatabase()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAForeignKey_CheckOnCommit()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAForeignKey_Nullable()`
`org.eclipse.emf.ecore.EClass` `getSybaseASAForeignKey()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAIndex_Virtual()`
`org.eclipse.emf.ecore.EClass` `getSybaseASAIndex()`
`SybaseasasqlmodelFactory` `getSybaseasasqlmodelFactory()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASATable_Pctfree()`
`org.eclipse.emf.ecore.EClass` `getSybaseASATable()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASATempTable_Pctfree()`
`org.eclipse.emf.ecore.EClass` `getSybaseASATempTable()`
`static SybaseasasqlmodelPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static SybaseasasqlmodelPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `SybaseasasqlmodelPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getSybaseASADatabase

    public org.eclipse.emf.ecore.EClass getSybaseASADatabase()

  Specified by:
    `getSybaseASADatabase` in interface `SybaseasasqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Database'.
  See Also:
    `SybaseASADatabase`

### getSybaseASADatabase_ASECompatible

    public org.eclipse.emf.ecore.EAttribute getSybaseASADatabase_ASECompatible()

  Specified by:
    `getSybaseASADatabase_ASECompatible` in interface `SybaseasasqlmodelPackage`
  Returns:
    the meta object for the attribute 'ASE Compatible'.
  See Also:
    `SybaseASADatabase.isASECompatible()`, `SybaseasasqlmodelPackage.getSybaseASADatabase()`

### getSybaseASATable

    public org.eclipse.emf.ecore.EClass getSybaseASATable()

  Specified by:
    `getSybaseASATable` in interface `SybaseasasqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Table'.
  See Also:
    `SybaseASATable`

### getSybaseASATable_Pctfree

    public org.eclipse.emf.ecore.EAttribute getSybaseASATable_Pctfree()

  Specified by:
    `getSybaseASATable_Pctfree` in interface `SybaseasasqlmodelPackage`
  Returns:
    the meta object for the attribute 'Pctfree'.
  See Also:
    `SybaseASATable.getPctfree()`, `SybaseasasqlmodelPackage.getSybaseASATable()`

### getSybaseASAForeignKey

    public org.eclipse.emf.ecore.EClass getSybaseASAForeignKey()

  Specified by:
    `getSybaseASAForeignKey` in interface `SybaseasasqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Foreign Key'.
  See Also:
    `SybaseASAForeignKey`

### getSybaseASAForeignKey_CheckOnCommit

    public org.eclipse.emf.ecore.EAttribute getSybaseASAForeignKey_CheckOnCommit()

  Specified by:
    `getSybaseASAForeignKey_CheckOnCommit` in interface `SybaseasasqlmodelPackage`
  Returns:
    the meta object for the attribute 'Check On Commit'.
  See Also:
    `SybaseASAForeignKey.isCheckOnCommit()`, `SybaseasasqlmodelPackage.getSybaseASAForeignKey()`

### getSybaseASAForeignKey_Nullable

    public org.eclipse.emf.ecore.EAttribute getSybaseASAForeignKey_Nullable()

  Specified by:
    `getSybaseASAForeignKey_Nullable` in interface `SybaseasasqlmodelPackage`
  Returns:
    the meta object for the attribute 'Nullable'.
  See Also:
    `SybaseASAForeignKey.isNullable()`, `SybaseasasqlmodelPackage.getSybaseASAForeignKey()`

### getSybaseASAIndex

    public org.eclipse.emf.ecore.EClass getSybaseASAIndex()

  Specified by:
    `getSybaseASAIndex` in interface `SybaseasasqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Index'.
  See Also:
    `SybaseASAIndex`

### getSybaseASAIndex_Virtual

    public org.eclipse.emf.ecore.EAttribute getSybaseASAIndex_Virtual()

  Specified by:
    `getSybaseASAIndex_Virtual` in interface `SybaseasasqlmodelPackage`
  Returns:
    the meta object for the attribute 'Virtual'.
  See Also:
    `SybaseASAIndex.isVirtual()`, `SybaseasasqlmodelPackage.getSybaseASAIndex()`

### getSybaseASATempTable

    public org.eclipse.emf.ecore.EClass getSybaseASATempTable()

  Specified by:
    `getSybaseASATempTable` in interface `SybaseasasqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Temp Table'.
  See Also:
    `SybaseASATempTable`

### getSybaseASATempTable_Pctfree

    public org.eclipse.emf.ecore.EAttribute getSybaseASATempTable_Pctfree()

  Specified by:
    `getSybaseASATempTable_Pctfree` in interface `SybaseasasqlmodelPackage`
  Returns:
    the meta object for the attribute 'Pctfree'.
  See Also:
    `SybaseASATempTable.getPctfree()`, `SybaseasasqlmodelPackage.getSybaseASATempTable()`

### getSybaseasasqlmodelFactory

    public SybaseasasqlmodelFactory getSybaseasasqlmodelFactory()

  Specified by:
    `getSybaseasasqlmodelFactory` in interface `SybaseasasqlmodelPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.